#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1


# be strict regarding symbol file
export DPKG_GENSYMBOLS_CHECK_LEVEL := 3
# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# gather version info and strip debian release stuff to be consistent with rpms
PDSERV_VERSION=`dpkg-parsechangelog --show-field Version | cut -d - -f 1`

override_dh_auto_configure:
	cmake \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_INSTALL_SYSCONFDIR=/etc \
	-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DCMAKE_BUILD_TYPE=Debug \
	-DENABLE_EXAMPLE=1 \
	-DENABLE_TEST=0 \
	-DDEBUG=0 \
	-DPAM_SERVICE_DIR=/etc/pam.d/ \
	-DVERSION_HASH=${PDSERV_VERSION} \
	$(CONFFLAGS) .

override_dh_missing:
	dh_missing --fail-missing

override_dh_shlibdeps:
	dh_shlibdeps -l $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

.PHONY:
	override_dh_strip

override_dh_strip:
	dh_strip --dbg-package=libpdserv3-dbg

# main packaging script based on dh7 syntax
%:
	dh $@


